Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.platformspecific.j2se.data
Class SQLNeuralDataSet

    java.lang.Object
      org.encog.ml.data.basic.BasicMLDataSet
          org.encog.platformspecific.j2se.data.SQLNeuralDataSet

All Implemented Interfaces:
  Serializable, Iterable<MLDataPair>, MLDataSet

    public class SQLNeuralDataSet

extends BasicMLDataSet

A dataset based on a SQL query. This is not a memory based dataset, so it can handle very large datasets without a memory issue. This class makes use of JDBC to query the database. If you are running into "out of memory" issues with this class try setting a lower "fetch size". This can be done with: SQLCODEC.FETCH_SIZE = 1000;

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.encog.ml.data.basic.BasicMLDataSet
`BasicMLDataSet.BasicMLIterator`

Constructor Summary
`SQLNeuralDataSet(Connection theConnection, String theSQL, int theInputSize, int theIdealSize)` Create a SQLNeuralDataSet based on the specified connection.
`SQLNeuralDataSet(String sql, int inputSize, int idealSize, String driver, String url, String uid, String pwd)` Construct a SQL dataset.

Method Summary

Methods inherited from class org.encog.ml.data.basic.BasicMLDataSet
`add, add, add, clone, close, get, getData, getIdealSize, getInputSize, getRecord, getRecordCount, isSupervised, iterator, openAdditional, setData, size, toList`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLNeuralDataSet

    public SQLNeuralDataSet(Connection theConnection,
                            String theSQL,
                            int theInputSize,
                            int theIdealSize)

  Create a SQLNeuralDataSet based on the specified connection. This connection WILL NOT be closed when the close method is called.

  Parameters:
    `theConnection` - The connection to use.
    `theSQL` - The SQL command to execute.
    `theInputSize` - The size of the input data.
    `theIdealSize` - The size of the ideal data.

### SQLNeuralDataSet

    public SQLNeuralDataSet(String sql,
                            int inputSize,
                            int idealSize,
                            String driver,
                            String url,
                            String uid,
                            String pwd)

  Construct a SQL dataset. A connection will be opened, this connection will be closed when the close method is called.

  Parameters:
    `sql` - The SQL command to execute.
    `inputSize` - The size of the input data.
    `idealSize` - The size of the ideal data.
    `driver` - The driver to use.
    `url` - The database connection URL.
    `uid` - The database user id.
    `pwd` - The database password.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.